From: Masayuki Hatta <mhatta@debian.org>
Date: Fri, 15 Oct 2021 22:38:22 +0200
Subject: Adds progress indicator

---
 gcmdline.c | 5 +++++
 gkermit.c  | 5 +++++
 gkermit.h  | 1 +
 3 files changed, 11 insertions(+)

diff --git a/gcmdline.c b/gcmdline.c
index 18d3bb7..3d2f150 100644
--- a/gcmdline.c
+++ b/gcmdline.c
@@ -289,6 +289,11 @@ doarg(x) char x;
 	    quiet = 1;
 	    break;
 
+	  case 'v':			/* Verbose */
+	    progress = 1;		/* (lame) progress indicator */
+	    quiet = 0;			/* Turn messages back on */
+	    break;
+
 	  case 'K':			/* Keep incompletely received files */
 	    keep = 1;
 	    break;
diff --git a/gkermit.c b/gkermit.c
index 083fb36..d85b0b3 100644
--- a/gkermit.c
+++ b/gkermit.c
@@ -103,6 +103,7 @@ char **cmlist = NULL;			/* Pointer to file list in argv */
 
 FILE * db = NULL;			/* Debug log file pointer */
 int debug = 0;				/* Debugging on */
+int progress = 0;			/* display (lame) progress */
 int failure = 0;			/* Return status */
 int retries = 0;			/* Packet retry counter */
 int sendtype = 0;			/* Type of last packet sent */
@@ -279,10 +280,14 @@ input() {				/* to get the next packet. */
     return(type);			/* Return its type */
 }
 
+char *twirl = "|/-\\";
+
 VOID
 nxtpkt() {				/* Next packet */
     retries = 0;			/* Reset per-packet retry count */
     seq = (seq + 1) & 63;		/* Next packet number, mod 64 */
+    if (progress)
+      fprintf(stderr,"%c\r", twirl[seq & 3]);
 }
 
 int
diff --git a/gkermit.h b/gkermit.h
index 65e9a8c..38a2c7e 100644
--- a/gkermit.h
+++ b/gkermit.h
@@ -247,6 +247,7 @@ extern int errno;
 #endif /* ERRNO_H */
 #ifndef _GKERMIT_C
 extern int debug;
+extern int progress;
 #endif /* _GKERMIT_C */
 
 #endif /* _GKERMIT_H */
